Documentation · API reference
PUT/api/v1/sites/{site}/funnels/{id}

Change a funnel

Change a funnel.

Parameters

sitein the address
neededA site's id or name
idin the address
neededThe funnel

What to send

FunnelCreate

name
stringneeded
spec
objectneeded

The answer

Status 200

FunnelView

id
stringneeded
name
stringneeded
spec
objectneeded
steps
list of stringneededEach step in words.

Asking

With your token from Settings
curl -X PUT https://tidekeeper.eu/api/v1/sites/example.org/funnels/{id} \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"name": "…", "spec": {}}'
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/funnels/{id}", {
  method: "PUT",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"name": "…", "spec": {}}),
}).then((r) => r.json());